/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.river.artifacts.math;

public class LinearFilterFunction
extends      FilterFunction
{
    protected double m;
    protected double b;

    public LinearFilterFunction(double m, double b) {
        this(Identity.IDENTITY, m, b);
    }

    public LinearFilterFunction(Function parent, double m, double b) {
        super(parent);
        this.m = m;
        this.b = b;
    }

    @Override
    public double value(double x) {
        return super.value(x)*m + b;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
